org.apache.maven.scm.command.checkout

## Class CheckOutScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.checkout.CheckOutScmResult

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    LocalCheckOutScmResult

      public class CheckOutScmResult
      extends ScmResult

  Version:
    $Id: CheckOutScmResult.java 520837 2007-03-21 11:04:06Z evenisse $
  Author:
    Trygve Laugstøl
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `relativePathProjectDirectory` The relative path of the directory of the checked out project in comparison to the checkout directory, or an empty String in case the checkout directory equals the project directory.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckOutScmResult(List checkedOutFiles, ScmResult result)`
    `CheckOutScmResult(String commandLine, List checkedOutFiles)`
    `CheckOutScmResult(String commandLine, List checkedOutFiles, String relativePathProjectDirectory)`
    `CheckOutScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getCheckedOutFiles()`
    `String` | `getRelativePathProjectDirectory()`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### relativePathProjectDirectory

          protected String relativePathProjectDirectory

      The relative path of the directory of the checked out project in comparison to the checkout directory, or an empty String in case the checkout directory equals the project directory.

      With most SCMs, this is just an empty String, meaning that the checkout directory equals the project directory. But there are cases (e.g. ClearCase) where within the checkout directory, the directory structure of the SCM system is repeated. E.g. if you check out the project "my/project" to "/some/dir", the project sources are actually checked out to "my/project/some/dir". In this example, relativePathProjectDirectory would contain "my/project".

  - ### Constructor Detail

    - #### CheckOutScmResult

          public CheckOutScmResult(String commandLine,
                           String providerMessage,
                           String commandOutput,
                           boolean success)

    - #### CheckOutScmResult

          public CheckOutScmResult(String commandLine,
                           List checkedOutFiles)

    - #### CheckOutScmResult

          public CheckOutScmResult(String commandLine,
                           List checkedOutFiles,
                           String relativePathProjectDirectory)

    - #### CheckOutScmResult

          public CheckOutScmResult(List checkedOutFiles,
                           ScmResult result)

  - ### Method Detail

    - #### getCheckedOutFiles

          public List getCheckedOutFiles()

    - #### getRelativePathProjectDirectory

          public String getRelativePathProjectDirectory()

      Returns:
        the contents of `relativePathProjectDirectory`
      See Also:
        `relativePathProjectDirectory`

Copyright © 2003–2015. All rights reserved.